package com.example.exception;

/**
 * 业务异常
 * 用于表示业务逻辑错误
 */
public class BusinessException extends ApiException {
    private final String errorCode;
    
    /**
     * 创建业务异常
     * @param message 错误消息
     * @param errorCode 错误代码
     * @param statusCode HTTP状态码
     */
    public BusinessException(String message, String errorCode, int statusCode) {
        super(message, statusCode);
        this.errorCode = errorCode;
    }
    
    /**
     * 创建业务异常（默认状态码400）
     * @param message 错误消息
     * @param errorCode 错误代码
     */
    public BusinessException(String message, String errorCode) {
        super(message, 400);
        this.errorCode = errorCode;
    }
    
    /**
     * 获取错误代码
     * @return 错误代码
     */
    public String getErrorCode() {
        return errorCode;
    }
} 