-- 创建用户表
CREATE TABLE IF NOT EXISTS users (
    id SERIAL PRIMARY KEY,
    username VARCHAR(50) NOT NULL,
    email VARCHAR(100) NOT NULL,
    phone VARCHAR(20),
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);

-- 添加唯一约束
ALTER TABLE users ADD CONSTRAINT users_username_unique UNIQUE (username);
ALTER TABLE users ADD CONSTRAINT users_email_unique UNIQUE (email);

-- 初始化测试数据
INSERT INTO users (username, email, phone) VALUES 
    ('user1', 'user1@example.com', '13800000001'),
    ('user2', 'user2@example.com', '13800000002'),
    ('user3', 'user3@example.com', '13800000003'),
    ('user4', 'user4@example.com', '13800000004'),
    ('user5', 'user5@example.com', '13800000005');

-- 创建角色表
CREATE TABLE IF NOT EXISTS roles (
    id SERIAL PRIMARY KEY,
    name VARCHAR(50) NOT NULL,
    code VARCHAR(50) NOT NULL,
    description VARCHAR(200),
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);

-- 添加唯一约束
ALTER TABLE roles ADD CONSTRAINT roles_name_unique UNIQUE (name);
ALTER TABLE roles ADD CONSTRAINT roles_code_unique UNIQUE (code);

-- 初始化角色测试数据
INSERT INTO roles (name, code, description) VALUES 
    ('管理员', 'ADMIN', '系统管理员，拥有所有权限'),
    ('普通用户', 'USER', '普通用户，拥有基本权限'),
    ('访客', 'GUEST', '访客用户，仅有查看权限'),
    ('运营', 'OPERATOR', '运营人员，拥有内容管理权限'),
    ('财务', 'FINANCE', '财务人员，拥有财务相关权限'); 